diff --git a/doc/src/sgml/postgres-fdw.sgml b/doc/src/sgml/postgres-fdw.sgml
index 3c54a26c9a..13b0f46bbf 100644
--- a/doc/src/sgml/postgres-fdw.sgml
+++ b/doc/src/sgml/postgres-fdw.sgml
@@ -337,13 +337,14 @@ OPTIONS (ADD password_required 'false');
    <variablelist>
 
     <varlistentry>
-     <term><literal>analyze_sampling</literal> (<type>text</type>)</term>
+     <term><literal>analyze_sampling</literal> (<type>string</type>)</term>
      <listitem>
       <para>
        This option, which can be specified for a foreign table or a foreign
        server, determines if <command>ANALYZE</command> on a foreign table
        samples the data on the remote side, or reads and transfers all data
-       and performs the sampling locally. The supported values
+       and performs the sampling locally. The option specified on a table
+       overrides an option specified for the server. The supported values
        are <literal>off</literal>, <literal>random</literal>,
        <literal>system</literal>, <literal>bernoulli</literal>
        and <literal>auto</literal>. <literal>off</literal> disables remote
